xmonad-contrib-0.10: Third party extensions for xmonad

Portability | unportable
Stability | unstable
Maintainer | andrea.rossato@unibz.it

XMonad.Actions.MouseResize

Contents

- Usage:

Description

A layout modifier to resize windows with the mouse by grabbing the window's lower right corner.

This module must be used together with XMonad.Layout.WindowArranger.

Synopsis

- mouseResize :: l a -> ModifiedLayout MouseResize l a
- data MouseResize a = MR [((a, Rectangle), Maybe a)]

# Usage:

Usually this module is used to create layouts, but you can also use it to resize windows in any layout, together with the XMonad.Layout.WindowArranger. For usage example see XMonad.Layout.SimpleFloat or XMonad.Layout.DecorationMadness.

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

     import XMonad.Actions.MouseResize
     import XMonad.Layout.WindowArranger

Then edit your `layoutHook` by modifying a given layout:

     myLayout = mouseResize $ windowArrange $ layoutHook defaultConfig

and then:

     main = xmonad defaultConfig { layoutHook = myLayout }

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

mouseResize :: l a -> ModifiedLayout MouseResize l a

data MouseResize a

Constructors

MR [((a, Rectangle), Maybe a)] |

Instances

LayoutModifier MouseResize Window |
Read (MouseResize a) |
Show (MouseResize a) |